Messages
Cancel a scheduled message
Cancel a message that is currently in scheduled status.
DELETE
/
v1
/
messaging
/
messages
/
{message_id}
Cancel a scheduled message
curl --request DELETE \
--url https://api.example.com/v1/messaging/messages/{message_id}import requests
url = "https://api.example.com/v1/messaging/messages/{message_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/v1/messaging/messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"id": "msg_k1l2m3n4o5",
"status": "cancelled",
"cancelled_at": "2026-07-17T15:00:00+10:00"
},
"meta": {
"request_id": "req_jkl012",
"timestamp": "2026-07-17T15:00:00+10:00"
}
}
Required permission:
messaging:send
Only valid for messages with status scheduled. Returns 409 Conflict if the message has already been dispatched.
Path parameters
string
required
The message ID of the scheduled message to cancel.
Example
curl -X DELETE https://api.senderz.ai/v1/messaging/messages/msg_k1l2m3n4o5 \
-H "Authorization: Bearer sz_live_xxxxxxxxxxxxx"
Response
{
"ok": true,
"data": {
"id": "msg_k1l2m3n4o5",
"status": "cancelled",
"cancelled_at": "2026-07-17T15:00:00+10:00"
},
"meta": {
"request_id": "req_jkl012",
"timestamp": "2026-07-17T15:00:00+10:00"
}
}
⌘I
Cancel a scheduled message
.jpg?fit=max&auto=format&n=IhWYk8R5R6sdJ_7C&q=85&s=7e3194d82fa9653ad2a2449b4f1a3073)